#include "eth_driver.h"
extern u8 MACAddr[6];                                    //MAC address
extern u8 IPAddr[4];                    //IP address
extern u8 GWIPAddr[4];                    //Gateway IP address
extern u8 IPMask[4];                    //subnet mask
extern u8 DESIP[4];              //destination IP address
extern u16 desport;                               //destination port
extern u16 srcport;                               //source port

extern u8 SocketId;
extern u8 SocketRecvBuf[WCHNET_MAX_SOCKET_NUM][RECE_BUF_LEN];  //socket receive buffer
extern u8 MyBuf[RECE_BUF_LEN];

void mStopIfError(u8 iError);
void TIM2_Init(void);
void WCHNET_CreateTcpSocket(void);
void WCHNET_Receive(void);
void WCHNET_HandleSockInt(u8 socketid, u8 intstat);
void WCHNET_HandleGlobalInt(void);
u8 WCHNET_DHCPCallBack(u8 status, void *arg);
unsigned char TCP_Con_Status(void);
unsigned char Router_Con_Status(void);

void Eth_Send(unsigned char *data, uint32_t len);
unsigned char *Eth_Receive_Data(void);
unsigned int Eth_Receive_Len(void);
void Eth_Receive_Clear(void);
unsigned char Eth_Receive(void);
